swTSrho {oce} | R Documentation

## Seawater temperature from salinity and density

### Description

Compute in-situ temperature, given salinity, density, and pressure.

### Usage

    swTSrho(salinity, density, pressure = NULL, eos = getOption("oceEOS",
      default = "gsw"))

### Arguments

`salinity` | in-situ salinity [PSU]
`density` | in-situ density or sigma value [kg/m^3]
`pressure` | in-situ pressure [dbar]
`eos` | equation of state to be used, either `"unesco"` or `"gsw"` (ignored at present).

### Details

Finds the temperature that yields the given density, with the given salinity and pressure. The method is a bisection search with temperature tolerance 0.001 degC.

### Value

In-situ temperature [degC] in the ITS-90 scale.

### Author(s)

Dan Kelley

### References

Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp

Gill, A.E., 1982. Atmosphere-ocean Dynamics, Academic Press, New York, 662 pp.

### See Also

`swSTrho`

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

### Examples

    swTSrho(35, 23, 0, eos="unesco") # 26.11301

[Package oce version 0.9-22 Index]